<template>
	<view >
		<uni-nav-bar id="nav-bar" status-bar="true"  @clickLeft="onBack()"
		  color="#000000"  title="我的成就" fixed="true" :border="false">
			<view slot="left">
				<view class="flex align-center margin-left">
					<image class="p-left-arrow" src="../../../static/p-left-arrow.png"></image>
				</view>
			</view>
		</uni-nav-bar>
		<view style="height: 8px; background-color: #EEEEEE;"></view>
		
		<view class="cu-form-group">
			<view  class="grid col-4 flex-sub" >
				<view class="flex flex-direction align-center padding" v-for="(item,index) in lists" :key="index">
					<image style="width: 110rpx;height:110rpx;"  :src="item.url"></image>
					<text>{{item.name}}</text>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import reqUtil from '@/util/util-js/requstUtil.js';
	import config from '@/common/config.js';
	
	export default {
		data() {
			return {
				lists:[],
			}
		},
		onLoad() {
			reqUtil
				.requestData(config.URL.GETALLHONORS, {})
				.then(
					res => {
						if (res.code == 0) {
							console.log(JSON.stringify(res.data));
							this.lists = res.data;
						}
					},
					e => {
						console.log(e);
					}
				);
		},
		methods: {
			onBack(){
				uni.navigateBack({
					delta:1
				})
			}
		}
	}
</script>

<style>
	page{
		background-color: #FFFFFF;
	}
</style>
